# stopRecorder method

Future<String?> stopRecorder()

Stop a recorder.

## Return

Returns a Future to an URL of the recorded sound.

## Example

            String anURL = await myRecorder.stopRecorder();
            if (_recorderSubscription != null)
            {
                    _recorderSubscription.cancel();
                    _recorderSubscription = null;
            }
    }

## See also

- startRecorder()

## Implementation

    Future<String?> stopRecorder() async {
      _logger.d('FS:---> stopRecorder ');
      String? r;
      await _lock.synchronized(() async {
        r = await _stopRecorder();
      });
      _logger.d('FS:<--- stopRecorder ');
      return r;
    }